<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/libao_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.google.android.material.appbar.AppBarLayout
                android:id="@+id/libao_appbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/ui_background"
                android:gravity="center"
                app:elevation="0dp"
                app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

                <include
                    android:id="@+id/search_bar"
                    layout="@layout/layout_search_bar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_scrollFlags="scroll" />

            </com.google.android.material.appbar.AppBarLayout>

            <FrameLayout
                android:id="@+id/layout_fragment_content"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        </androidx.coordinatorlayout.widget.CoordinatorLayout>

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
</RelativeLayout>